Subject: bug#16254: 24.3.50; bzr error on emacs trunk using vc-print-log

From: Christoph <[email-masked]>
Date: Wed, 25 Dec 2013 11:35:27 -0700

I was wrong. The t argument in vc-deduce-fileset does something else. Sorry
for the noise.

On Wed, Dec 25, 2013 at 11:22 AM, Christoph <[email-masked]> wrote:

> vc-print-log was executed from a dired buffer when this happened.
> vc-print-root-log works correctly and prints the Emacs bzr logs.
>
> vc.el has the following code in vc-print-log:
>
>   (let* ((vc-fileset (vc-deduce-fileset t)) ;FIXME: Why t? --Stef
>  (backend (car vc-fileset))
>  (files (cadr vc-fileset))
> ;; (working-revision (or working-revision (vc-working-revision (car
> files))))
>          )
>     (vc-print-log-internal backend files working-revision nil limit)))
>
> The t in vc-decude-fileset allows unregistered files per the
> documentation. To follow Stefan's questions, why would we want unregistered
> files to be included in the fileset for the log command?
>
> I think this should be changed to disallow unregistered files.
>
> Christoph
>
>
> On Wed, Dec 25, 2013 at 10:54 AM, Christoph <[email-masked]> wrote:
>
>> Some more information on this issue:
>>
>> `vc-print-log` works find in a sub-directory of the tree, e.g. admin.
>> It looks like aclocal.m4 is ignored via .bzrignore and it is the first
>> file in the root tree (after running configure and such).
>>
>> I seem to remember we had a similar problem before that was fixed at some
>> point.
>>
>>
>> On Wed, Dec 25, 2013 at 10:25 AM, Christoph <[email-masked]> wrote:
>>
>>>
>>> Running `vc-print-log` on a directory containing the Emacs trunk gives
>>> the following error:
>>>
>>> bzr: ERROR: Path unknown at end or start of revision range: aclocal.m4
>>>
>>>
>>>
>>> In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.4.2)
>>>  of 2013-12-14 on marvin
>>> Bzr revision: 115528 [email-masked]
>>> Windowing system distributor `The X.Org Foundation', version
>>> 11.0.11103000
>>> System Description:     Linux Mint 13 Maya
>>>
>>
>>
>